@cls
cd \RE9128.A10
@echo off
echo.
echo.
echo **** RE9128 BIOS Burn Version 1.0 2017/01/18 ****
echo **** For 9128 Ver. C0                        ****
echo ------------------------------------------------------------------------------
echo.
echo.
echo.
echo Start to Erasing & Burning SPI Flash...
cd \RE9128.A10\RE9128.P10\firmware\cpuahci
echo Erasing Flash Now
CALL GO -w -y
echo.
cd \RE9128.A10\RE9128.P10\firmware\cpuahci
echo BIOS Burning Now 
echo.
echo ****************************
echo **BIOS Version 1.1.0.1002 **
echo ****************************
echo.
CALL GO -y
cd \RE9128.A10\RE9128.P10
echo.
COMPVDO chkpe.dat <key.dat
IF ERRORLEVEL 1 GOTO ERR
IF ERRORLEVEL 0 GOTO BPASS

:BPASS
goto end


:ERR
@cls
call fail.bat
goto end

:end
echo Finish !
